Package org.eclipse.mat.query.registry

## Class ArgumentSet

- java.lang.Object
- - org.eclipse.mat.query.registry.ArgumentSet

    public class ArgumentSet
    extends java.lang.Object

Holds a query, all the arguments for a query, and the query context, ready for execution.

### Method Summary

All Methods Instance Methods Concrete Methods
`QueryResult` `execute​(IProgressListener listener)` Generate all the real arguments for an instance of a query, then execute the query.
`java.lang.Object` `getArgumentValue​(ArgumentDescriptor desc)`
`QueryDescriptor` `getQueryDescriptor()`
`java.util.List<ArgumentDescriptor>` `getUnsetArguments()`
`java.lang.String` `getUnsetUsage()`
`boolean` `isExecutable()`
`void` `removeArgumentValue​(ArgumentDescriptor arg)`
`void` `setArgumentValue​(java.lang.String name, java.lang.Object value)`
`void` `setArgumentValue​(ArgumentDescriptor arg, java.lang.Object value)`
`java.lang.String` `toString()`
`java.lang.String` `writeToLine()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### execute

    public QueryResult execute​(IProgressListener listener)
                        throws SnapshotException

Generate all the real arguments for an instance of a query, then execute the query.

Parameters:
  `listener` - to show progress
Returns:
  the result of the query
Throws:
  `SnapshotException` - for errors running the query

#### writeToLine

    public java.lang.String writeToLine()

#### setArgumentValue

    public void setArgumentValue​(ArgumentDescriptor arg,
                                 java.lang.Object value)

#### setArgumentValue

    public void setArgumentValue​(java.lang.String name,
                                 java.lang.Object value)

#### removeArgumentValue

    public void removeArgumentValue​(ArgumentDescriptor arg)

#### getArgumentValue

    public java.lang.Object getArgumentValue​(ArgumentDescriptor desc)

#### getQueryDescriptor

    public QueryDescriptor getQueryDescriptor()

#### isExecutable

    public boolean isExecutable()

#### getUnsetArguments

    public java.util.List<ArgumentDescriptor> getUnsetArguments()

#### getUnsetUsage

    public java.lang.String getUnsetUsage()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`